McadLayerGroupMgr and MoveLayerGroupEntities problem

Discussion in 'AutoCAD' started by bamikeb, Mar 30, 2005.

  1. bamikeb

    bamikeb Guest

    In Acad Mech 2005 SP1 running on winxp sp2.

    I'm having a problem with the MoveLayerGroupEntities method in that I
    get a compile error when I try to run code including the following:

    Dim mCad As McadApplication
    Set mCad =
    ThisDrawing.Application.GetInterfaceObject("Mcad.Application")
    ' Layer Manager reference
    Dim LayerMGR As McadLayerGroupMgr
    Set LayerMGR = mCad.ActiveDocument.LayerGroupMgr
    Dim RetVar As Boolean
    RetVar = LayerMGR.MoveLayerGroupEntities("PART10", "PART1")

    I get a "compile error" "Expected function or variable" with the error
    highlighted on the MoveLayerGroupEntities method. I'm no trained vb pro
    but have been through the help and syntax and think I've got it right.
    Can anyone explain why this doesn't work.

    Cheers

    Mike
     
    bamikeb, Mar 30, 2005
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.